请选择 进入手机版 | 继续访问电脑版

GODIY 自己动手亲力亲为的DIY社区一起来吧--GODIY论坛

 找回密码
 注册

扫一扫,访问微社区

搜索

[交流使用心得] 升级一茶系统的Transmision到2.22版本

[复制链接]
发表于 2011-4-1 02:01:44 | 显示全部楼层
学习一下,看看能不能成功。。。
发表于 2011-4-1 23:18:42 | 显示全部楼层
谢谢lz指教,我想我成功了,非常感谢。。。
发表于 2011-4-2 00:38:18 | 显示全部楼层
比较了一下楼主的压缩包文件,然后对比了一下update的文件

发现就是两个openssl文件不同

可能是tr不稳定是因为openssl安装了0.9.8版本
只能安装楼主提供的0.9.7版才行

其实除了这两个包,都不用卸载,只需要卸载openssl 0.9.8版,然后强制安装楼主的0.9.7版
安装的时候即使指定了ipk文件名,可ipkg还是要连到源上来安装0.9.8版,我只好将update那个文件改名,安装0.9.7版,然后再改回来

在安装tr,按步骤进行,ok
 楼主| 发表于 2011-4-2 12:17:14 | 显示全部楼层
比较了一下楼主的压缩包文件,然后对比了一下update的文件

发现就是两个openssl文件不同

可能是tr不稳定 ...
采花郎 发表于 2011-4-2 00:38


“可ipkg还是要连到源上来安装0.9.8版“那是因为你盒子系统的源使用的是mbwe-bluering的地址,如果源里面使用的是gumstix1151,那么openssl的版本还是0.9.7版本的
发表于 2011-4-2 21:23:28 | 显示全部楼层
这个TM不稳定的问题确实烦人,我也不懂,参考楼主的方法一步步试,我是这样操作的,供参考

仅卸载openssl,用-force-depends参数,然后安装楼主的openssl两个包
因为之前update过,所以安装楼主0.9.7版的openssl,仍然会连到网站上去下载0.9.8版,此时,找到update时下载的那个列表文件(不记得了,但update完了之后会提示),改名一下(记得之后改回来)

然后再安装楼主的0.9.7版,这样TM就可以稳定运行了

但这种方法还是有个问题,那就是ftp服务出现了问题
我这里是提示can't load library 'libssl.so.0.9.8'

搜索论坛,无果
最后试着再次更新openssl到网站上的openssl,是0.9.8版,ftp问题解决

本以为这个问题解决了,TM的问题又会出现,没想到TM居然不会出现添加种子就退出的情况了

再也不升级了,太折腾人了
本以为,如果不能开TM,这个盒子对我就没有太大用途了
终于暂时可以安心一段时间了
发表于 2011-4-7 11:49:27 | 显示全部楼层
太感谢了,老版本分享率是太低了
发表于 2011-4-13 18:08:07 | 显示全部楼层
感谢楼主的教程
发表于 2011-4-29 11:07:44 | 显示全部楼层
超级感谢楼主,我们这些不懂linux太需要这些详细的升级步骤了
发表于 2011-4-30 00:15:43 | 显示全部楼层
请教下楼主,我升级完成后不能从SW界面关闭和开启TR程序,只能ssh到盒子,手动启动TR,如何解决
发表于 2011-5-2 10:49:52 | 显示全部楼层
升级了 很稳定 谢谢
就是各大PT站点上面显示的下载列表里 偶的版本是未知的,是不是太新了? 哈哈
您需要登录后才可以回帖 登录 | 注册

本版积分规则

QQ|小黑屋|手机版|Archiver|GODIY论坛 ( 粤ICP备12089271号

GMT+8, 2018-8-19 15:27 , Processed in 0.183047 second(s), 6 queries , File On.

Powered by Godiy.net

快速回复 返回顶部 返回列表